require 'simple_form'

module SimpleForm
  module Inputs

    class TimepickerInput < StringInput

      def input
        # Remove defaults that we do not want.
        html_classes.delete(:datepicker)
        html_classes.push(:datetimepicker)

        input_html_classes.push(:datetimepicker_time)
        input_html_options[:type] = "text"

        # Get the input in the correct format.
        input_html_options[:value] = object.send(attribute_name).try(:strftime, Time::DATE_FORMATS[:datetimepicker_time])
        @builder.text_field(attribute_name, input_html_options)
      end

    end
      
  end
end